package com.sun.corba.se.impl.resolver;

import java.util.Set;
import org.omg.CORBA.Object;
import com.sun.corba.se.spi.orbutil.closure.Closure;
import com.sun.corba.se.spi.resolver.Resolver;
import com.sun.corba.se.spi.resolver.LocalResolver;

public class SplitLocalResolverImpl implements LocalResolver
{
    private Resolver resolver;
    private LocalResolver localResolver;
    
    public SplitLocalResolverImpl(Resolver resolver, LocalResolver localResolver) {
        this.resolver = resolver;
        this.localResolver = localResolver;
    }
    
    public void register(String s, Closure closure) {
        this.localResolver.register(s, closure);
    }
    
    public org.omg.CORBA.Object resolve(String s) {
        return this.resolver.resolve(s);
    }
    
    public Set list() {
        return this.resolver.list();
    }
}
